from __future__ import annotations

from typing import TYPE_CHECKING, Any

from django.utils.functional import lazy

if TYPE_CHECKING:
    from django.utils.functional import _StrOrPromise


def format_lazy(s: _StrOrPromise, *args: Any, **kwargs: Any) -> str:
    return s.format(*args, **kwargs)


format_lazy = lazy(format_lazy, str)
